package cn.iocoder.yudao.module.bpm.api.task;

import cn.iocoder.yudao.module.bpm.api.task.dto.BpmProcessInstanceCreateReqDTO;
import cn.iocoder.yudao.module.bpm.resp.TaskResp;

import javax.validation.Valid;
import java.util.List;

/**
 * 流程实例 Api 接口
 *
 * @author 捷道源码
 */
public interface BpmProcessInstanceApi {

    /**
     * 创建流程实例（提供给内部）
     *
     * @param userId 用户编号
     * @param reqDTO 创建信息
     * @return 实例的编号
     */
    String createProcessInstance(Long userId, @Valid BpmProcessInstanceCreateReqDTO reqDTO);

    /**
     * 取消流程
     *
     * @param userId               取消人
     * @param bpmProcessInstanceId 流程实例ID
     * @param reason               原因
     */
    void cancelBmpById(Long userId, String bpmProcessInstanceId, String reason);

    TaskResp getLastTaskByProcessInstanceId(String processInstanceId);


    /**
     * 获得待办的流程总数
     *
     * @param userId 用户编号
     * @return 流程任务总数
     */
    Long getTodoTaskCount(Long userId);
}
